Skip to content

List personality profiles

GET
/api/v1/tuning/personality
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/tuning/personality \
--header 'X-API-Key: <X-API-Key>'

List all personality profiles for tenant.

Successful Response

Media typeapplication/json
Response List Personality Profiles Api V1 Tuning Personality Get
Array<object>
PersonalityProfileResponse

Response body for a personality profile.

object
agent_role
required
Agent Role
string
avg_consistency
required
Avg Consistency
number
id
required
Id
string format: uuid
last_drift_alert_at
Any of:
string format: date-time
tone_dimensions
required
Tone Dimensions
object
key
additional properties
number
updated_at
required
Updated At
string format: date-time
Examplegenerated
[
{
"agent_role": "example",
"avg_consistency": 1,
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"last_drift_alert_at": "2026-04-15T12:00:00Z",
"tone_dimensions": {
"additionalProperty": 1
},
"updated_at": "2026-04-15T12:00:00Z"
}
]